Subject: Re: bug#21329: 25.0.50; Flyspell minor mode produces weird effects on keyboard macros

From: Stefan Monnier <[email-masked]>
Date: Sat, 29 Aug 2015 11:31:35 -0400

>> One possible problem is that input-pending-p might return t in cases where
>> the pending input is "not significant", in the sense that read-event
>> won't return it (maybe because it will consume it internally as in the
>> case of event bounds to special-event-map, IIRC).
> I thought about ignoring out these kinds of input in the loop that
> waits.

Then you have another side-effect, which is to delay the processing of
those events.  So instead of ignoring them it should process them.

That's why I think we'd want to "simply" extract all that read-event
does upto (not not including) the actual consumption (and return) of
the event.

>> PS: I suggest you try and install your suggested patch, in the
>> mean time.  I don't understand enough of its impact to judge its
>> quality, but it's worth a try.  Just make sure you add a good comment in
>> the code explaining the problem this is trying to fix.
> Done.
> I'm therefore closing this bug.

Thanks,

        Stefan